RDKit::FilterMatchOps::Or Class Reference

`#include <FilterMatchers.h>`

Inheritance diagram for RDKit::FilterMatchOps::Or:

## Public Member Functions

| Or ()
| Or (const FilterMatcherBase &arg1, const FilterMatcherBase &arg2)
| Or (const boost::shared_ptr< FilterMatcherBase > &arg1, const boost::shared_ptr< FilterMatcherBase > &arg2)
| Or (const Or &rhs)
virtual std::string | getName () const
bool | isValid () const
bool | hasMatch (const ROMol &mol) const
| hasMatches More...
bool | getMatches (const ROMol &mol, std::vector< FilterMatch > &matchVect) const
| getMatches More...
boost::shared_ptr< FilterMatcherBase > | Clone () const
| Clone. More...
Public Member Functions inherited from RDKit::FilterMatcherBase
| FilterMatcherBase (const std::string &name=DEFAULT_FILTERMATCHERBASE_NAME)
| FilterMatcherBase (const FilterMatcherBase &rhs)
virtual | ~FilterMatcherBase ()

## Detailed Description

Definition at line 114 of file FilterMatchers.h.

## Constructor & Destructor Documentation

## Or() [1/4]

RDKit::FilterMatchOps::Or::Or | ( |  | ) |

inline

Definition at line 120 of file FilterMatchers.h.

## Or() [2/4]

RDKit::FilterMatchOps::Or::Or | ( | const FilterMatcherBase & | arg1,
|  | const FilterMatcherBase & | arg2
| ) |  |

inline

Constructs or Ander true if arg1 or arg2 are true

Definition at line 124 of file FilterMatchers.h.

## Or() [3/4]

RDKit::FilterMatchOps::Or::Or | ( | const boost::shared_ptr< FilterMatcherBase > & | arg1,
|  | const boost::shared_ptr< FilterMatcherBase > & | arg2
| ) |  |

inline

Definition at line 127 of file FilterMatchers.h.

## Or() [4/4]

RDKit::FilterMatchOps::Or::Or | ( | const Or & | rhs | ) |

inline

Definition at line 131 of file FilterMatchers.h.

## Member Function Documentation

## Clone()

boost::shared_ptr<FilterMatcherBase> RDKit::FilterMatchOps::Or::Clone | ( |  | ) | const

inline virtual

Clone.

Implements RDKit::FilterMatcherBase.

Definition at line 157 of file FilterMatchers.h.

References RDUNUSED_PARAM.

## getMatches()

bool RDKit::FilterMatchOps::Or::getMatches | ( | const ROMol & | mol,
|  | std::vector< FilterMatch > & | matchVect
| ) |  | const

inline virtual

getMatches

Match the filter against a molecule

Parameters

  mol | readonly const molecule being searched
  matches | output vector of atom index matches found in the molecule

Implements RDKit::FilterMatcherBase.

Definition at line 147 of file FilterMatchers.h.

References RDKit::FilterMatchOps::And::isValid(), and PRECONDITION.

## getName()

virtual std::string RDKit::FilterMatchOps::Or::getName | ( |  | ) | const

inline virtual

Reimplemented from RDKit::FilterMatcherBase.

Definition at line 133 of file FilterMatchers.h.

References RDKit::FilterMatcherBase::getName().

## hasMatch()

bool RDKit::FilterMatchOps::Or::hasMatch | ( | const ROMol & | mol | ) | const

inline virtual

hasMatches

Does the given molecule contain this filter pattern

Parameters

  mol | readonly const molecule being searched

Implements RDKit::FilterMatcherBase.

Definition at line 142 of file FilterMatchers.h.

References RDKit::FilterMatchOps::And::isValid(), and PRECONDITION.

## isValid()

bool RDKit::FilterMatchOps::Or::isValid | ( |  | ) | const

inline virtual

Implements RDKit::FilterMatcherBase.

Definition at line 138 of file FilterMatchers.h.

The documentation for this class was generated from the following file:

- FilterMatchers.h